Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162433 - System startup hangs while loading aic7xxx
Summary: System startup hangs while loading aic7xxx
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-04 15:14 UTC by Andreas B.
Modified: 2015-01-04 22:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-05 01:18:16 UTC


Attachments (Terms of Use)

Description Andreas B. 2005-07-04 15:14:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7) Gecko/20040614 Firefox/0.8 Mnenhy/0.6.0.101

Description of problem:
Connected to a Adaptec Controller AVA-2904 is a HP Surestoretape 6000 Tapedrive.
When the Tapedrive is powered ON, the System does not boot.
Termination Resistor is applied.
AVA2904 has SCSI-ID 7, Tapedrive 3.
Last error messages:

SCSI2: PCI error interrupt at seqaddr = 0x7
SCSI2: received a master abort

From there on the system hangs, waited for 20minutes, no timeout.
Tried changing the PCI-Slot in case of an interrupt sharing problem, doesn't help.
With the tapedrive powered off, the system boots up and loads aic7xxx without problems.

Version-Release number of selected component (if applicable):
kernel 2.6.11-1.35_FC3

How reproducible:
Always

Steps to Reproduce:
1.Install Adaptec AVA-2904 and let the hardware detection configure it
2.Connect external tapedrive
3.boot system
  

Actual Results:  system lockup

Expected Results:  system boot

Additional info:

amd64, 4Gig RAM.

Comment 1 Dave Jones 2005-07-15 19:19:54 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 2 Andreas B. 2005-07-25 08:43:29 UTC
I installed the update, system still does not boot, but the aic7xxx module
reports a lot of errors instead of locking up:

Jul 25 09:58:26 my kernel: ahc_pci:0:14:0: Host Adapter Bios disabled.  Using
default SCSI device parameters
Jul 25 09:58:26 my kernel: scsi2 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER,
Rev 6.2.36
Jul 25 09:58:26 my kernel:         <Adaptec 2902/04/10/15/20C/30C SCSI adapter>
Jul 25 09:58:26 my kernel:         aic7850: Single Channel A, SCSI Id=7, 3/253 SCBs
Jul 25 09:58:26 my kernel: 
Jul 25 09:58:26 my kernel: scsi2: PCI error Interrupt at seqaddr = 0x79
Jul 25 09:58:26 my kernel: scsi2: Received a Master Abort
Jul 25 09:58:26 my kernel: scsi2:0:1:0: Attempting to queue an ABORT message
Jul 25 09:58:26 my kernel: CDB: 0x12 0x0 0x0 0x0 0x24 0x0
Jul 25 09:58:26 my kernel: scsi2: At time of recovery, card was not paused
Jul 25 09:58:26 my kernel: >>>>>>>>>>>>>>>>>> Dump Card State Begins
<<<<<<<<<<<<<<<<<
Jul 25 09:58:26 my kernel: scsi2: Dumping Card State in Data-in phase, at
SEQADDR 0x79
Jul 25 09:58:26 my kernel: Card was paused
Jul 25 09:58:26 my kernel: ACCUM = 0xfc, SINDEX = 0xb8, DINDEX = 0xa8, ARG_2 = 0x0
Jul 25 09:58:26 my kernel: HCNT = 0x20 SCBPTR = 0x0
Jul 25 09:58:26 my kernel: SCSISIGI[0x46] ERROR[0x40] SCSIBUSL[0x39]
LASTPHASE[0x40] 
Jul 25 09:58:26 my kernel: SCSISEQ[0x12] SBLKCTL[0x0] SCSIRATE[0x0] SEQCTL[0x10] 
Jul 25 09:58:26 my kernel: SEQ_FLAGS[0x20] SSTAT0[0x4] SSTAT1[0x3] SSTAT2[0x1] 
Jul 25 09:58:26 my kernel: SSTAT3[0x0] SIMODE0[0x0] SIMODE1[0xac] SXFRCTL0[0x80] 
Jul 25 09:58:26 my kernel: DFCNTRL[0x7a] DFSTATUS[0x10] 
Jul 25 09:58:26 my kernel: STACK: 0x0 0x0 0x1a6 0x6c
Jul 25 09:58:26 my kernel: SCB count = 4
Jul 25 09:58:26 my kernel: Kernel NEXTQSCB = 3
Jul 25 09:58:26 my kernel: Card NEXTQSCB = 3
Jul 25 09:58:26 my kernel: QINFIFO entries: 
Jul 25 09:58:26 my kernel: Waiting Queue entries: 
Jul 25 09:58:27 my kernel: Disconnected Queue entries: 
Jul 25 09:58:27 my kernel: QOUTFIFO entries: 
Jul 25 09:58:27 my kernel: Sequencer Free SCB List: 1 2 
Jul 25 09:58:27 my kernel: Sequencer SCB Info: 
Jul 25 09:58:27 my kernel:   0 SCB_CONTROL[0x40] SCB_SCSIID[0x17] SCB_LUN[0x0]
SCB_TAG[0x2] 
Jul 25 09:58:27 my kernel:   1 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff]
SCB_TAG[0xff] 
Jul 25 09:58:27 my kernel:   2 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff]
SCB_TAG[0xff] 
Jul 25 09:58:27 my kernel: Pending list: 
Jul 25 09:58:27 my kernel:   2 SCB_CONTROL[0x40] SCB_SCSIID[0x17] SCB_LUN[0x0] 
Jul 25 09:58:27 my kernel: Kernel Free SCB list: 1 0 
Jul 25 09:58:27 my kernel: Untagged Q(1): 2 
Jul 25 09:58:27 my kernel: 
Jul 25 09:58:27 my kernel: <<<<<<<<<<<<<<<<< Dump Card State Ends >>>>>>>>>>>>>>>>>>
Jul 25 09:58:27 my kernel: scsi2:0:1:0: Device is active, asserting ATN
Jul 25 09:58:27 my kernel: Recovery code sleeping
Jul 25 09:58:27 my kernel: Recovery code awake
Jul 25 09:58:27 my kernel: Timer Expired
Jul 25 09:58:27 my kernel: aic7xxx_abort returns 0x2003
Jul 25 09:58:27 my kernel: scsi2:0:1:0: Attempting to queue a TARGET RESET message
Jul 25 09:58:27 my kernel: CDB: 0x12 0x0 0x0 0x0 0x24 0x0
Jul 25 09:58:27 my kernel: aic7xxx_dev_reset returns 0x2003
Jul 25 09:58:27 my kernel: Recovery SCB completes
Jul 25 09:58:27 my kernel: scsi2:0:1:0: Attempting to queue an ABORT message
Jul 25 09:58:27 my kernel: CDB: 0x0 0x0 0x0 0x0 0x0 0x0
Jul 25 09:58:27 my kernel: scsi2: At time of recovery, card was not paused
Jul 25 09:58:27 my kernel: >>>>>>>>>>>>>>>>>> Dump Card State Begins
<<<<<<<<<<<<<<<<<
Jul 25 09:58:27 my kernel: scsi2: Dumping Card State while idle, at SEQADDR 0x193
Jul 25 09:58:27 my kernel: Card was paused
Jul 25 09:58:27 my kernel: ACCUM = 0x0, SINDEX = 0x20, DINDEX = 0xa0, ARG_2 = 0x0
Jul 25 09:58:27 my kernel: HCNT = 0x20 SCBPTR = 0x0
Jul 25 09:58:27 my kernel: SCSISIGI[0x0] ERROR[0x40] SCSIBUSL[0x0] LASTPHASE[0x1] 
Jul 25 09:58:27 my kernel: SCSISEQ[0x12] SBLKCTL[0x0] SCSIRATE[0x0] SEQCTL[0x10] 
Jul 25 09:58:27 my kernel: SEQ_FLAGS[0xc0] SSTAT0[0x4] SSTAT1[0x0] SSTAT2[0x0] 
Jul 25 09:58:27 my kernel: SSTAT3[0x0] SIMODE0[0x0] SIMODE1[0xa4] SXFRCTL0[0x80] 
Jul 25 09:58:27 my kernel: DFCNTRL[0xc] DFSTATUS[0x71] 
Jul 25 09:58:27 my kernel: STACK: 0xe 0x0 0x0 0x188
Jul 25 09:58:27 my kernel: SCB count = 4
Jul 25 09:58:27 my kernel: Kernel NEXTQSCB = 2
Jul 25 09:58:27 my kernel: Card NEXTQSCB = 3
Jul 25 09:58:27 my kernel: QINFIFO entries: 3 
Jul 25 09:58:27 my kernel: Waiting Queue entries: 
Jul 25 09:58:27 my kernel: Disconnected Queue entries: 
Jul 25 09:58:27 my kernel: QOUTFIFO entries: 
Jul 25 09:58:27 my kernel: Sequencer Free SCB List: 1 2 
Jul 25 09:58:27 my kernel: Sequencer SCB Info: 
Jul 25 09:58:27 my kernel:   0 SCB_CONTROL[0x40] SCB_SCSIID[0x17] SCB_LUN[0x0]
SCB_TAG[0xff] 
Jul 25 09:58:27 my kernel:   1 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff]
SCB_TAG[0xff] 
Jul 25 09:58:27 my kernel:   2 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff]
SCB_TAG[0xff] 
Jul 25 09:58:27 my kernel: Pending list: 
Jul 25 09:58:27 my kernel:   3 SCB_CONTROL[0x40] SCB_SCSIID[0x17] SCB_LUN[0x0] 
Jul 25 09:58:27 my kernel: Kernel Free SCB list: 1 0 
Jul 25 09:58:28 my kernel: Untagged Q(1): 3 
Jul 25 09:58:28 my kernel: 
Jul 25 09:58:28 my kernel: <<<<<<<<<<<<<<<<< Dump Card State Ends >>>>>>>>>>>>>>>>>>
Jul 25 09:58:28 my kernel: scsi2:0:1:0: Cmd aborted from QINFIFO
Jul 25 09:58:28 my kernel: aic7xxx_abort returns 0x2002
Jul 25 09:58:28 my kernel: scsi: Device offlined - not ready after error
recovery: host 2 channel 0 id 1 lun 0
Jul 25 09:58:28 my kernel: scsi2:0:2:0: Attempting to queue an ABORT message
Jul 25 09:58:28 my kernel: CDB: 0x12 0x0 0x0 0x0 0x24 0x0
Jul 25 09:58:28 my kernel: scsi2: At time of recovery, card was not paused
Jul 25 09:58:28 my kernel: >>>>>>>>>>>>>>>>>> Dump Card State Begins
<<<<<<<<<<<<<<<<<
Jul 25 09:58:28 my kernel: scsi2: Dumping Card State while idle, at SEQADDR 0x193
Jul 25 09:58:28 my kernel: Card was paused
Jul 25 09:58:28 my kernel: ACCUM = 0x0, SINDEX = 0x20, DINDEX = 0xa0, ARG_2 = 0x0
Jul 25 09:58:28 my kernel: HCNT = 0x20 SCBPTR = 0x0
Jul 25 09:58:28 my kernel: SCSISIGI[0x0] ERROR[0x40] SCSIBUSL[0x0] LASTPHASE[0x1] 
Jul 25 09:58:28 my kernel: SCSISEQ[0x12] SBLKCTL[0x0] SCSIRATE[0x0] SEQCTL[0x10] 
Jul 25 09:58:28 my kernel: SEQ_FLAGS[0xc0] SSTAT0[0x4] SSTAT1[0x0] SSTAT2[0x0] 
Jul 25 09:58:28 my kernel: SSTAT3[0x0] SIMODE0[0x0] SIMODE1[0xa4] SXFRCTL0[0x80] 
Jul 25 09:58:28 my kernel: DFCNTRL[0xc] DFSTATUS[0x71] 
Jul 25 09:58:28 my kernel: STACK: 0xe 0x0 0x0 0x188
Jul 25 09:58:28 my kernel: SCB count = 4
Jul 25 09:58:28 my kernel: Kernel NEXTQSCB = 3
Jul 25 09:58:28 my kernel: Card NEXTQSCB = 2
Jul 25 09:58:28 my kernel: QINFIFO entries: 2 
Jul 25 09:58:28 my kernel: Waiting Queue entries: 
Jul 25 09:58:28 my kernel: Disconnected Queue entries: 
Jul 25 09:58:28 my kernel: QOUTFIFO entries: 
Jul 25 09:58:28 my kernel: Sequencer Free SCB List: 1 2 
Jul 25 09:58:28 my kernel: Sequencer SCB Info: 
Jul 25 09:58:28 my kernel:   0 SCB_CONTROL[0x40] SCB_SCSIID[0x17] SCB_LUN[0x0]
SCB_TAG[0xff] 
Jul 25 09:58:28 my kernel:   1 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff]
SCB_TAG[0xff] 
Jul 25 09:58:28 my kernel:   2 SCB_CONTROL[0x0] SCB_SCSIID[0xff] SCB_LUN[0xff]
SCB_TAG[0xff] 
Jul 25 09:58:28 my kernel: Pending list: 
Jul 25 09:58:28 my kernel:   2 SCB_CONTROL[0x40] SCB_SCSIID[0x27] SCB_LUN[0x0] 
Jul 25 09:58:28 my kernel: Kernel Free SCB list: 1 0 
Jul 25 09:58:28 my kernel: Untagged Q(2): 2 
Jul 25 09:58:28 my kernel: 
Jul 25 09:58:28 my kernel: <<<<<<<<<<<<<<<<< Dump Card State Ends >>>>>>>>>>>>>>>>>>
Jul 25 09:58:28 my kernel: scsi2:0:2:0: Cmd aborted from QINFIFO
Jul 25 09:58:28 my kernel: aic7xxx_abort returns 0x2002
Jul 25 09:58:28 my kernel: scsi2:0:2:0: Attempting to queue an ABORT message
Jul 25 09:58:28 my kernel: CDB: 0x0 0x0 0x0 0x0 0x0 0x0
Jul 25 09:58:29 my kernel: scsi2: At time of recovery, card was not paused

And so on...

Comment 3 Dave Jones 2006-01-16 22:39:20 UTC
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.


Comment 4 Dave Jones 2006-02-03 06:22:24 UTC
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.


Comment 5 John Thacker 2006-05-05 01:18:16 UTC
Closing per previous comment.


Note You need to log in before you can comment on or make changes to this bug.